<template lang="pug">
  div
    nuxt-link(
      v-if="previous"
      :to="{ name: 'articles-slug', params: { slug: previous.slug } }"
    ) {{ previous.title }}
    nuxt-link(
      v-if="next"
      :to="{ name: 'articles-slug', params: { slug: next.slug } }"
    ) {{ next.title }}
</template>

<script>
export default {
  name:  "BlogItemPagination",
  props: {
    previous: Object,
    next:     Object,
  }
}
</script>

<style scoped>

</style>
